import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class PrimApplet extends Applet {
	private Panel pan;
	private Label titel, eingabeLabel, ergebnisLabel;
	private TextField argument;	
    private Button test;

    public void init() {
		setLayout(new BorderLayout());
		pan = new Panel();
		add(pan,BorderLayout.CENTER);
		titel = new Label("Primzahlendiagnose", Label.CENTER);
		add(titel, BorderLayout.NORTH);
		eingabeLabel = new Label("Argument:");
		pan.add(eingabeLabel);
		argument = new TextField("", 20);
		pan.add(argument);
		test = new Button("P-Test");
		pan.add(test);
		test.addActionListener(new PriT());
		ergebnisLabel = new Label("", Label.CENTER);
		add(ergebnisLabel, BorderLayout.SOUTH);
	}

	class PriT implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			boolean tg;
			int i, mpk, zahl;
			try {
				zahl = Integer.parseInt(argument.getText());
			} catch(Exception ex) {
				ergebnisLabel.setText("Das Argument ist keine ganze Zahl mit Betrag < 2147483648.");
				return;
			}
			tg = false;
			mpk = (int) Math.sqrt(zahl);  //maximaler Primzahlenkandidat
			for (i = 2; i <= mpk; i++)
				if (zahl % i == 0) {
					tg = true;
					break;
				}
			if (tg)
				ergebnisLabel.setText(argument.getText() + " ist keine Primzahl (Teiler: " + i + ").");
			else
				ergebnisLabel.setText(argument.getText() + " ist eine Primzahl.");
		}
	}
}