class StrIntern {
	public static void main(String[] args) {
		final int anz = 10000000;
		String s[] = new String[anz];
		java.util.Random zzg =
			new java.util.Random(System.currentTimeMillis());

		for (int i = 0; i < anz; i++)
			s[i] = ("abc"+(char)(zzg.nextInt(95)+32)
						 +(char)(zzg.nextInt(95)+32)).intern();

		int treffer = 0;
		long vorher = System.currentTimeMillis();
		for (int i = 0; i < anz; i++)
			if (s[i].equals("abcaa"))
				treffer++;
		long diff = System.currentTimeMillis() - vorher;
		System.out.println("Zeit fuer equals - Vergl.: " + diff +
				" Millisek. (treffer: "+treffer+")\n");

		treffer = 0;
		vorher = System.currentTimeMillis();
		for (int i = 0; i < anz; i++)
			if (s[i] == "abcaa")
				treffer++;
		diff = System.currentTimeMillis() - vorher;
		System.out.println("Zeit fuer == - Vergl.: " + diff +
				" Millisek. (treffer: "+treffer+")\n");
	}
}