class Sequenzen {
	static int calc(String instr) {
		int erg = 0;
		try {
			System.out.println("try-Block von calc()");
			erg = 10 % Integer.parseInt(instr);
		}
		catch (NumberFormatException e) {
			System.out.println("NumberFormatException-Handler in calc()");
		}
		finally {
			System.out.println("finally-Block von calc()");
		}

		System.out.println("Nach try-Anweisung in calc()");
		return erg;
	}

	public static void main(String[] args) {
		try {
			System.out.println("try-Block von main()");
			System.out.println("10 % "+args[0]+" = "+calc(args[0]));
		}
		catch (ArithmeticException e) {
			System.out.println("ArithmeticException-Handler in main()");
		}
		finally {
			System.out.println("finally-Block von main()");
		}

		System.out.println("Nach try-Anweisung in main()");
	}
}