import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class DbFrontend extends JFrame {
	static final String TITEL = "Tabellen der Firmendatenbank";	
	static final String DRIVER = "com.mysql.jdbc.Driver";
	static final String URL = "jdbc:mysql://localhost/firma";
	static final String USERID= "dummy";
	static final String PASSWD= "dummy";
	static final String[] TABLES = {"Personal", "Kunden", "Auftraege", "Einsaetze"};
	
	private ResultSetTableModel tabMod;
	private JComboBox liste;
	private JTable tabelle;
	
	public DbFrontend() {   
		super(TITEL);
		try {
			liste = new JComboBox(TABLES);
			liste.setEditable(false); 
			liste.addItemListener(
					new ItemListener() {
						public void itemStateChanged(ItemEvent e) {
							JComboBox cb = (JComboBox) e.getSource();
							tabMod.neueAbfrage(cb.getSelectedItem().toString());
						}
					});
	 
			tabMod = new ResultSetTableModel(DRIVER, URL, USERID, PASSWD, TABLES[0]);
			tabelle = new JTable(tabMod);

			add(liste, BorderLayout.NORTH );
			add(new JScrollPane(tabelle), BorderLayout.CENTER);
	
			setSize(700, 200);
			setVisible( true );
			setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
			addWindowListener(new Ex());
		} catch (Exception e) {
			JOptionPane.showMessageDialog(this, e);
			System.exit(1);
		}
	}

	public static void main(String args[]) {
		new DbFrontend();   
	}

	private class Ex extends WindowAdapter {
		public void windowClosing(WindowEvent e) {
		   tabMod.trennen();
		   System.exit(0);
		}
	}
}
