import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class HiMusik extends Applet implements ActionListener, ItemListener {
	boolean man = true;

	private final String LABELPREFIX = "Anzahl der Klicks: ";
	private Label lab;
	private int numClicks;
	private Button butt;
	private Checkbox cb;
	private AudioClip clip;

	public void init() {
		setBackground(Color.ORANGE);
		butt = new Button("Klicker");
		lab = new Label(LABELPREFIX + "0    ");
		cb = new Checkbox("Musik ein/aus", true);
		setLayout(null);
		add(butt);
		add(lab);
		add(cb);
		butt.setBounds(5,5,50,25);
		lab.setBounds(60,5,120,25);
		cb.setBounds(190,5,120,25);

		butt.addActionListener(this);
		cb.addItemListener(this);

		clip = getAudioClip(getCodeBase(),"trippygaia1.mid");
		clip.loop();
	}

	public void actionPerformed(ActionEvent e) {
		numClicks++;
		lab.setText(LABELPREFIX + numClicks);
	}

	public void itemStateChanged(ItemEvent e) {
		man = !man;
		if (man)
			clip.loop();
		else
			clip.stop();
	}

	public void destroy () {
		clip.stop();
	}

}
