import java.net.*;
import java.io.*;

class DateiDownload {
	public static void main(String[] args) {
		try {
			String urlString = "http://www.uni-trier.de/urt/user/baltes/docs/spss/v13/spss13dat.zip";
			URL url = new URL(urlString);
			System.out.println("Die Datei "+urlString+" wird herunter geladen ...");
			BufferedInputStream in = new BufferedInputStream(url.openStream());
			BufferedOutputStream out = new BufferedOutputStream(
					new FileOutputStream((new File(url.getFile()).getName())));
			int i, n = 0;
			while ((i = in.read()) != -1) {
				out.write(i);
				n++;
			}
			out.close();
			System.out.println("Fertig! (Bytes geschrieben: "+n+")");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}