import java.io.*;
import java.net.*;

class EchoServerThread extends Thread {
	Socket client;
	int nummer;
	
	EchoServerThread(Socket cl, int nr) {
		client = cl;
		nummer  = nr;
	}
	public void run() {
		String zeile;
		try {
			BufferedReader br =new BufferedReader(
				new InputStreamReader(client.getInputStream()));
			PrintWriter pw = new PrintWriter(client.getOutputStream(), true);
			pw.println("MultiThreadEchoServer (Verbindung: "+nummer+", ges: "+EchoServer.nconn
				+") - beenden mit 'quit'");
			while ((zeile = br.readLine()) != null) {
				if (zeile.trim().equals("quit")) {
					pw.println("Gut, dass wir darueber geredet haben!");
					break;
				}
				pw.println(zeile);
			}
			client.close();
		} catch (Exception e) {
			EchoServer.prot("Fehler: \n  "+e.toString()+" (Verbindung "+nummer+")");
		} finally {
			EchoServer.decr(nummer);
		}
	}
}