import java.io.*;
import java.net.*;
import java.util.*;
import java.text.*;

class TimeServer {
	public static void main(String[] args) {
		DateFormat df = DateFormat.getDateTimeInstance();
		String zeit;
		try {
			ServerSocket timeServer = new ServerSocket(13);
			System.out.println("Zeitserver gestartet ("+df.format(new Date())+")");
			while(true) {
				Socket client = timeServer.accept();
				PrintWriter pw = new PrintWriter(client.getOutputStream());
				zeit = df.format(new Date());
				System.out.println("\n"+zeit+ " Anfrage von\n  IP-Nummer: "
					+client.getInetAddress().getHostAddress()
					+" (Port: "+client.getPort()+")");
				pw.print(zeit);
				pw.close();
				client.close();
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}