
import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class Laufschrift extends Applet implements Runnable{
	private final String TXT = "Wo laufen sie denn? Wo laufen sie denn hin?";
	private final int PAUSE  = 10;
	private final int SPRUNG = 2;
	private final int HOEHE  = 10;

	Thread laufband;
	private int x, y,	// akt. Schreibpos.
			tb;			// Textbreite

	private final String LABELPREFIX = "Anzahl der Klicks: ";
	private Label lab;
	private int numClicks = 0;
	private Button butt;

	public void init() {
		setBackground(Color.YELLOW);
		lab = new Label(LABELPREFIX + "0    ");
		butt = new Button("Klicker");
		y =  getSize().height-HOEHE;
		tb = getFontMetrics(getFont()).stringWidth(TXT);
		add(butt);
		add(lab);
		butt.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				numClicks++;
				lab.setText(LABELPREFIX + numClicks);
			}
		});
		laufband = new Thread(this, "Laufband");
		laufband.start();
	}

	public void paint(Graphics g){
		g.drawString(TXT, x, y);
	}

	public void run() {
		while (true) {
			try {
				Thread.sleep(PAUSE);
			} catch(InterruptedException ie) {
				System.err.println(ie.toString());
			}
			if (x - SPRUNG + tb < 0)
				x = getSize().width;
			else	
				x -= SPRUNG;
			repaint();
		}
	}

}
