public class Lager {
	private int bilanz;
 	private int anz;
 	private final int MANZ = 20;
	
	public Lager(int start) {
		bilanz = start;
		System.out.println("Der Laden ist offen (Bestand = "+bilanz+")\n");
	}

	public synchronized boolean offen() {
		if (anz < MANZ)
			return true;
		else {
			System.out.println("\nLieber "+Thread.currentThread().getName()+
				", es ist Feierabend!");
			return false;
		}
	}

	private String formZeit() {
		return java.text.DateFormat.getTimeInstance().format(new java.util.Date());
	}

	public synchronized void  ergaenze(int add) {
		bilanz += add;
		anz++;
		System.out.println("Nr. "+anz+":\t"+Thread.currentThread().getName()+
			" ergaenzt\t"+add+"\tum "+formZeit()+" Uhr. Stand: "+bilanz);
		notify();
	}

	public synchronized void liefere(int sub) {
		while (bilanz < sub)
			try {
				System.out.println(Thread.currentThread().getName()+
					" muss warten: Keine "+sub+" Einheiten vorhanden.");
				wait();
			} catch (InterruptedException ie) {
					System.err.println(ie.toString());
			}

		bilanz -= sub;
		anz++;
		System.out.println("Nr. "+anz+":\t"+Thread.currentThread().getName()+
			" entnimmt\t"+sub+"\tum "+formZeit()+" Uhr. Stand: "+bilanz);
	}
}