public class Bruch {
	private int zaehler,	// wird automatisch mit 0 initialisiert
				nenner = 1;	

	public void setzeZaehler(int zpar) {zaehler = zpar;}

	public void setzeNenner(int npar) throws Exception {
		if (npar != 0)
			nenner = npar;
		else
			throw new Exception("Nenner darf nicht 0 werden!");
	}

	public int gibZaehler() {return zaehler;}

	public int gibNenner()	{return nenner;}

	public void kuerze() {
		// grten gemeinsamen Teiler mit dem Euklidischen Algorithmus bestimmen
		int ggt = 0;
		int az = Math.abs(zaehler);
		int an = Math.abs(nenner);
		do {
			if (az == an)
				ggt = az;
			else 
				if (az > an) 
					az = az - an;				
				else
					an = an - az;
		} while (ggt == 0);
		
		zaehler /= ggt;
		nenner  /= ggt;
	}	

	public boolean frage() {
		try	{
			System.out.print("Zaehler: ");
			setzeZaehler(Simput.readInt());
			System.out.print("Nenner : ");
			setzeNenner(Simput.readInt());
			return true;
		}
		catch(Exception e) {
			System.out.println("Eingabefehler: " + e.toString());
			return false;
		}	
	}
	
	public void zeige() {
		System.out.println("    " + gibZaehler() + "\n" +
	                       "  -----\n" +
	                       "    " + gibNenner() + "\n");
	}
}
