public class Bruch {
	private int zaehler,	// wird automatisch mit 0 initialisiert
				nenner = 1;	

	public void setzeZaehler(int zpar) {zaehler = zpar;}

	public boolean setzeNenner(int n) {
		if (n != 0)	{
			nenner = n;
			return true;
		} else
			return false;
	}

	public int gibZaehler() {return zaehler;}

	public int gibNenner()	{return nenner;}

	public void kuerze() {
		// grten gemeinsamen Teiler mit dem Euklidischen Algorithmus bestimmen
		if (zaehler != 0) {
			int ggt = 0;
			int az = Math.abs(zaehler);
			int an = Math.abs(nenner);
			do {
				if (az == an)
					ggt = az;
				else 
					if (az > an) 
						az = az - an;
					else
						an = an - az;
			} while (ggt == 0);
			
			zaehler /= ggt;
			nenner  /= ggt;
		}
	}	

	public void addiere(Bruch b) {
		zaehler = zaehler*b.nenner + b.zaehler*nenner;
		nenner = nenner*b.nenner;
		kuerze();
	}

	public boolean frage()	{
		try	{
			System.out.print("Zaehler: ");
			zaehler = Simput.readInt();
			System.out.print("Nenner : ");
			setzeNenner(Simput.readInt());
			return true;
		}
		catch(Exception e) {
			System.out.println("Eingabefehler: " + e.toString());
			return false;
		}	
	}
	
	public void zeige() {
		System.out.println("    " + gibZaehler() + "\n" +
	                       "  -----\n" +
	                       "    " + gibNenner() + "\n");
	}
}
