class Fakul {
	static int kon2int(String instr) {
		int arg;
		try {
			arg = Integer.parseInt(instr);
			if (arg < 0  || arg > 170)
				throw new IllegalArgumentException ("Unzulaessiges Argument: "+arg);
			else
				return arg;
		}
		catch (NumberFormatException e) {
			throw new IllegalArgumentException ("Fehler beim Konvertieren");
		}
	}

	public static void main(String args[]) {
		int argument = -1;

		if (args.length > 0)
			argument = kon2int(args[0]);
		else {
			System.out.println("Kein Argument angegeben");
			System.exit(1);
		}

		double fakul = 1.0;
		for (int i = 1; i <= argument; i++)
				fakul = fakul * i;
		System.out.println("Fakultaet von " + argument + ": " + fakul);
	}
}
