import java.sql.*;

class SqlAbfrage {
	static final String DRIVER = "com.mysql.jdbc.Driver";
	static final String URL = "jdbc:mysql://localhost/firma";
	static final String USERID = "dummy";
	static final String PASSWD = "dummy";

	public static void main(String args[]) {   
		Connection verbindung = null;
		Statement abfrage = null;
		try {
			Class.forName(DRIVER);
			verbindung = DriverManager.getConnection(URL, USERID, PASSWD);
			abfrage = verbindung.createStatement();
			ResultSet daten = abfrage.executeQuery("SELECT Vorname, Name, Gehalt FROM Personal");
			ResultSetMetaData metaDaten = daten.getMetaData();
			System.out.printf("%-25s %-30s   %10s\n",
					metaDaten.getColumnName(1), metaDaten.getColumnName(2), metaDaten.getColumnName(3));
			while (daten.next())
				System.out.printf("%-25s %-30s   %10.2f\n",
						daten.getString(1), daten.getString(2), daten.getDouble(3));
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			try {
				abfrage.close();
				verbindung.close();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
}
