import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class Telesuche extends JFrame implements ActionListener {
	JPanel leiste;
	JEditorPane browser;
	JScrollPane rollBrowser;
	JTextField name;
	JLabel label;
	JButton suchen;
	JButton beenden;
	URL url;
	URLConnection urlConn;

	Telesuche() {
		super("Telefonnummern der Universitt Trier");
		Container cont = getContentPane();
		leiste = new JPanel();
		leiste.setLayout(new FlowLayout());
		label = new JLabel("Name:");
		leiste.add(label);
		name = new JTextField(30);
		leiste.add(name);
		suchen = new JButton("Suchen");
		leiste.add(suchen);
		beenden = new JButton("Beenden");
		leiste.add(beenden);
		suchen.addActionListener(this);
        beenden.addActionListener(this);
		cont.add(leiste, BorderLayout.NORTH);
		browser = new JEditorPane();
		browser.setEditable(false);
		browser.setContentType("text/html");
		rollBrowser = new JScrollPane(browser);
		cont.add(rollBrowser, BorderLayout.CENTER);

		try {
			url = new URL("http://www.uni-trier.de/cgi-bin/telesuche");	
//			url = new URL("http://www.uni-trier.de/cgi-bin/demo");	
		} catch (MalformedURLException mue) {}
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(600,400);
   		getRootPane().setDefaultButton(suchen);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent ae)	{
		if (ae.getSource() == suchen) {
			try {
				urlConn = url.openConnection();
				urlConn.setDoOutput(true);
				PrintStream ps = new PrintStream(urlConn.getOutputStream());
				ps.print("keyword="+URLEncoder.encode(name.getText(),"Cp1252"));
				BufferedReader br = new BufferedReader(new InputStreamReader(urlConn.getInputStream()));
				StringWriter sw = new StringWriter();
				String zeile;
				while ((zeile = br.readLine()) != null) {
					if (!zeile.substring(0,3).equals("<im")) {
						sw.write(zeile);
					}
				}
				browser.setText(sw.toString());
	       	} catch(IOException  e) {
				JOptionPane.showMessageDialog(this, e, "Fehler beim POST-Request",
					JOptionPane.ERROR_MESSAGE);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		else
			System.exit(0);
	}

	public static void main(String args[]) {
		new Telesuche();
	}
}