import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class EventID extends JFrame {
    JButton button;
	JLabel labicon;
	JLabel eid;

    EventID() {
        super("Ereignis-Kennungen");
        button = new JButton("Knopf");
        getContentPane().add(button, BorderLayout.WEST);

		labicon = new JLabel(new ImageIcon("duke.gif"));
        getContentPane().add(labicon, BorderLayout.CENTER);

        eid = new JLabel();
        getContentPane().add(eid, BorderLayout.SOUTH);
        eid.setHorizontalAlignment(JTextField.CENTER);

        button.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
			eid.setText("Schalter gedrckt: "+String.valueOf(e.getID()));
            }
        });
        labicon.addMouseListener(new MausLi());

		button.addKeyListener(new KeyLi());
		
		addWindowListener(new WinLi());
        setSize(500, 200);
        setVisible(true);
    }

    public static void main(String[] args) {
        new EventID();
    }

	class MausLi extends MouseAdapter {
		public void mousePressed(MouseEvent e) {
			eid.setText("Maustaste "+String.valueOf(e.getButton())+" gedrckt: "+String.valueOf(e.getID()));
		}
		public void mouseReleased(MouseEvent e) {
			eid.setText("Maustaste "+String.valueOf(e.getButton())+" losgelassen: "+String.valueOf(e.getID()));
		}
	}

	class KeyLi extends KeyAdapter {
           public void keyPressed(KeyEvent e) {
              eid.setText("Taste gedrckt: "+String.valueOf(e.getID()));
           }
           public void keyReleased(KeyEvent e) {
              eid.setText("Taste losgelassen: "+String.valueOf(e.getID()));
           }
	}

	class WinLi extends WindowAdapter {
		public void windowActivated(WindowEvent e) {
			eid.setText("Fenster aktiviert: "+String.valueOf(e.getID()));
		}
		public void windowClosing(WindowEvent e) {
			System.exit(0);
		}
	}
}
